Bug 1176684 - backport: ip xfrm monitor all does not work (option suggested by ip xfrm monitor help)
Summary: backport: ip xfrm monitor all does not work (option suggested by ip xfrm moni...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: iproute
Version: 7.1
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: rc
: ---
Assignee: Pavel Šimerda (pavlix)
QA Contact: Jaroslav Aster
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-22 20:05 UTC by Paul Wouters
Modified: 2015-11-19 14:40 UTC (History)
2 users (show)

Fixed In Version: iproute-3.10.0-34.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-19 14:40:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:2117 normal SHIPPED_LIVE iproute bug fix and enhancement update 2015-11-19 11:35:06 UTC

Description Paul Wouters 2014-12-22 20:05:01 UTC
Description of problem:

root@thinkpad:/home/paul# ip xfrm monitor help
Usage: ip xfrm monitor [ all | LISTofXFRM-OBJECTS ]
root@thinkpad:/home/paul# ip xfrm monitor all
Argument "all" is unknown, try "ip xfrm monitor help".
root@thinkpad:/home/paul# 

Version-Release number of selected component (if applicable):
iproute-3.10.0-21.el7

Either the usage message is wrong or the "all" option is broken.

Comment 3 Pavel Šimerda (pavlix) 2015-04-24 09:01:49 UTC
commit 5bf9f5c5a0f2d8a0fdb06c60242ff805177a4d73
Author: Vadim Kochan <vadim4j@gmail.com>
Date:   Sat Feb 14 19:45:04 2015 +0200

    ip xfrm: Allow to specify "all" option for monitor
    
    Just to be aligned with the usage output.
    
    Signed-off-by: Vadim Kochan <vadim4j@gmail.com>

diff --git a/ip/xfrm_monitor.c b/ip/xfrm_monitor.c
index 79453e4..8aa6f49 100644
--- a/ip/xfrm_monitor.c
+++ b/ip/xfrm_monitor.c
@@ -374,7 +374,7 @@ int do_xfrm_monitor(int argc, char **argv)
                        groups = 0;
                } else if (matches(*argv, "help") == 0) {
                        usage();
-               } else {
+               } else if (strcmp(*argv, "all")) {
                        fprintf(stderr, "Argument \"%s\" is unknown, try \"ip xfrm monitor help\".\n", *argv);
                        exit(-1);
                }

Comment 7 Jaroslav Aster 2015-06-17 13:18:46 UTC
The added code is not much pretty and it breaks convention. It is worthwhile to think about how to do it in a better way, but it works, so it has not high priority :-).

Replace this

+               } else if (strcmp(*argv, "all")) {

by this

+		} else if (matches(*argv, "all")) {
+			/* pass */
+		} else

Comment 10 errata-xmlrpc 2015-11-19 14:40:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-2117.html


Note You need to log in before you can comment on or make changes to this bug.